Subject: [Tigers] Pushrod Length stock 260

From: James Lindner via Tigers <[email-masked]>
Date: Sat, 1 Oct 2022 13:38:07 -0400

Hello

I am building a completely stock 260 for my very early MkI (0033). I have been searching for and collecting correct ford parts which in many cases are correctly dated for an engine from the E7KL engine group.

I am in search of new 5/16 pushrods. My SBF engine rebuild book says the length is 6.825. In searching the top brands and major part suppliers I can find 6.850 and 6.804 but none 6.825. (I did see a no name brand in this size but it was back ordered months.)

Can I use either of these lengths? Which one? Any other sources I am missing.

Thanks

Jim

Sent from my iPad
_______________________________________________

[email-masked]

Archive: http://www.team.net/pipermail/tigers http://autox.team.net/archive

Unsubscribe: http://autox.team.net/mailman/options/tigers/[email-masked]